Description

If I create new role the workflows are copied. The problem is in SQL query because no quotation is used for column names and in

MSSQL the RULE and TYPE are reserved words. So I suggest to use quotation on every column according to SQL defintion.

I have had to modify the worflow_rule.rb like this:

delete_all :tracker_id => target_tracker.id, :role_id => target_role.id

        connection.insert "INSERT INTO #{WorkflowRule.table_name} (tracker_id, role_id, old_status

_id, new_status_id, author, assignee, field_name, [rule], [type])" +

                          " SELECT #{target_tracker.id}, #{target_role.id}, old_status_id, new_sta

tus_id, author, assignee, field_name, [rule], [type]" +

                          " FROM #{WorkflowRule.table_name}" +

                          " WHERE tracker_id = #{source_tracker.id} AND role_id = #{source_role.id

}" 

I have used square brackets but you can use double quotations accoring to SQL definition.

I'm running 2.2.0

Related issues:

Related to Redmine - Feature #12713: Microsoft SQLServer support Closed

History

#1 - 2013-01-02 09:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I'm closing it, MSSQL is not supported.

#2 - 2013-01-02 16:06 - Jean-Philippe Lang

[column] is MSSQL specific. I think that #quote_column_name should be used instead.

#3 - 2013-01-04 16:39 - Jean-Philippe Lang

- Resolution changed from Wont fix to Fixed

Fixed in r11099, see #12713.
